# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ modulesPath, ... }:

{
  imports = [ (modulesPath + "/installer/scan/not-detected.nix") ];

  boot = {
    extraModulePackages = [ ];
    initrd = {
      availableKernelModules = [
        "nvme"
        "xhci_pci"
        "ahci"
        "usb_storage"
        "usbhid"
        "sd_mod"
      ];
      kernelModules = [ "dm-snapshot" ];
    };
    kernelModules = [ "kvm-amd" ];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/6c06428e-c296-4ef1-8429-62bafb860126";
      fsType = "btrfs";
      options = [
        "subvol=@root"
        "x-gvfs-hide"
        "space_cache=v2"
        "discard"
        "compress-force=zstd:1"
      ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/B9D2-255C";
      fsType = "vfat";
    };
    "/home/bertof" = {
      device = "/dev/disk/by-uuid/6c06428e-c296-4ef1-8429-62bafb860126";
      fsType = "btrfs";
      options = [
        "subvol=@home_bertof"
        "x-gvfs-hide"
        "space_cache=v2"
        "discard"
        "compress-force=zstd:1"
      ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/6c06428e-c296-4ef1-8429-62bafb860126";
      fsType = "btrfs";
      options = [
        "subvol=@nix"
        "x-gvfs-hide"
        "space_cache=v2"
        "discard"
        "compress-force=zstd:1"
      ];
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/dee188e4-4ff8-417c-9419-b7f00ecb9989"; }
    {
      device = "/swapfile";
      size = 1024 * 32;
    }
  ];
}
